> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/infra-controller/llms.txt.
> For full documentation content, see https://docs.nvidia.com/infra-controller/llms-full.txt.

# Delete Instance

DELETE https://carbide-rest-api.carbide.svc.cluster.local/v2/org/{org}/carbide/instance/{instanceId}
Content-Type: application/json

Delete an Instance by ID

Org must have a Tenant entity. Instance must belong to Tenant. User must have `FORGE_TENANT_ADMIN` authorization role.

Reference: https://docs.nvidia.com/infra-controller/infra-controller/rest-api-reference/api-reference/instance/delete-instance

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: NCX Infra Controller REST API
  version: 1.0.0
paths:
  /v2/org/{org}/carbide/instance/{instanceId}:
    delete:
      operationId: delete-instance
      summary: Delete Instance
      description: >-
        Delete an Instance by ID


        Org must have a Tenant entity. Instance must belong to Tenant. User must
        have `FORGE_TENANT_ADMIN` authorization role.
      tags:
        - subpackage_instance
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: instanceId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            ```

            export JWT_BEARER_TOKEN="<jwt-bearer-token>"


            # Example org name: "acme-inc

            export ORG_NAME=<org-name>


            # Use the JWT bearer token in your API request auth header:

            curl -v -X GET -H "Content-Type: application/json" -H
            "Authorization: Bearer $JWT_BEARER_TOKEN"
            https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current

            ```
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Instance_delete-instance_Response_202'
      requestBody:
        description: >-
          Optional request data to report health issues with the underlying
          Machine
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstanceDeleteRequest'
servers:
  - url: https://carbide-rest-api.carbide.svc.cluster.local
components:
  schemas:
    MachineHealthIssueCategory:
      type: string
      enum:
        - Hardware
        - Network
        - Performance
        - Other
      description: Category of the issue
      title: MachineHealthIssueCategory
    MachineHealthIssue:
      type: object
      properties:
        category:
          $ref: '#/components/schemas/MachineHealthIssueCategory'
          description: Category of the issue
        summary:
          type: string
          description: Short summary describing the issue
        details:
          type:
            - string
            - 'null'
          description: Details about the issue helpful for diagnosis
      description: Data describing health issue with a Machine
      title: MachineHealthIssue
    InstanceDeleteRequest:
      type: object
      properties:
        machineHealthIssue:
          $ref: '#/components/schemas/MachineHealthIssue'
          description: >-
            Information regarding issue with the underlying Machine experienced
            by Tenant
        isRepairTenant:
          type:
            - boolean
            - 'null'
          description: >-
            Should be set to true for Tenants who are performing
            investigation/repairing the Machine. Otherwise omit or set to false
      description: Request data to delete Instance
      title: InstanceDeleteRequest
    Instance_delete-instance_Response_202:
      type: object
      properties: {}
      description: Empty response body
      title: Instance_delete-instance_Response_202
  securitySchemes:
    JWTBearerToken:
      type: http
      scheme: bearer
      description: >-
        ```

        export JWT_BEARER_TOKEN="<jwt-bearer-token>"


        # Example org name: "acme-inc

        export ORG_NAME=<org-name>


        # Use the JWT bearer token in your API request auth header:

        curl -v -X GET -H "Content-Type: application/json" -H "Authorization:
        Bearer $JWT_BEARER_TOKEN"
        https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current

        ```

```

## SDK Code Examples

```python
import requests

url = "https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/instance/instanceId"

payload = {
    "machineHealthIssue": {
        "category": "Network",
        "summary": "Machine has DPU connectivity error"
    },
    "isRepairTenant": False
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/instance/instanceId';
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"machineHealthIssue":{"category":"Network","summary":"Machine has DPU connectivity error"},"isRepairTenant":false}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/instance/instanceId"

	payload := strings.NewReader("{\n  \"machineHealthIssue\": {\n    \"category\": \"Network\",\n    \"summary\": \"Machine has DPU connectivity error\"\n  },\n  \"isRepairTenant\": false\n}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/instance/instanceId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"machineHealthIssue\": {\n    \"category\": \"Network\",\n    \"summary\": \"Machine has DPU connectivity error\"\n  },\n  \"isRepairTenant\": false\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/instance/instanceId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"machineHealthIssue\": {\n    \"category\": \"Network\",\n    \"summary\": \"Machine has DPU connectivity error\"\n  },\n  \"isRepairTenant\": false\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/instance/instanceId', [
  'body' => '{
  "machineHealthIssue": {
    "category": "Network",
    "summary": "Machine has DPU connectivity error"
  },
  "isRepairTenant": false
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/instance/instanceId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"machineHealthIssue\": {\n    \"category\": \"Network\",\n    \"summary\": \"Machine has DPU connectivity error\"\n  },\n  \"isRepairTenant\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "machineHealthIssue": [
    "category": "Network",
    "summary": "Machine has DPU connectivity error"
  ],
  "isRepairTenant": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://carbide-rest-api.carbide.svc.cluster.local/v2/org/org/carbide/instance/instanceId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```